//****************************************************
//***** Pocket MIKU LCD          *********************
//*************************** By Minarai Shokunin ****
//*************************** 2014/04/13          ****
//****************************************************

#include "p24FJ64GA002.h"

// ************ CONFIGRATION BITS ********************
_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & COE_OFF & ICS_PGx1 & FWDTEN_OFF )
_CONFIG2(IESO_OFF & FNOSC_FRCPLL & FCKSM_CSDCMD & OSCIOFNC_ON & IOL1WAY_OFF & I2C1SEL_PRI & POSCMOD_NONE)

// ************ prototypes ***************************
extern void GE_SCALE(int);
extern void GR_FILL(unsigned int);
extern void GR_PSET(int,int,unsigned int);
extern void GR_PUTCH(int,int,unsigned int,unsigned int,unsigned int);
extern void GR_LINE(int,int,int,int,unsigned int);
extern void GR_BOXFILL(int,int,int,int,unsigned int);
extern void GR_BOX(int,int,int,int,unsigned int);
extern void GR_PUTSTR(int,int,unsigned char *, unsigned int,unsigned int);

extern void LCD_CtrlWrite_IC(uchar);
extern void LCD_DataWrite_IC(uchar);  
extern void LCD_DataWrite(uchar,uchar);
extern void write_command(uchar);
extern void write_data(uchar);
extern void Reset();
extern void lcd_initial();
extern void RamAdressSet();
extern void PutPixel(uint,uint,uint);
extern void RedLine();
extern void dsp_single_colour(uchar,uchar);
extern void Output_Pixel(uint,uint);
extern void delay(uint);

// *********************************************
// ************ MAIN ***************************
// *********************************************

int main(void)
{
	int i;

	_RCDIV = 0;							// PostScaler 32MHz
	TRISB = 0b000000000000000;			// PORTB All output
    delay(500);	
	Reset();
    delay(500);	
	lcd_initial();
    delay(500);	
 	write_command(0x2C);
    delay(500);	
    GR_FILL(0x5555);
    delay(500);	
	GR_SCALE(2);
	GR_PUTSTR(0,0,"* POCKET",0x0055,0x5555);
	GR_PUTSTR(60,20,"MIKU *",0x0055,0x5555);
    delay(15000);	
	GR_PUTSTR(5,60,"KIDOU",0xfff0,0x5555);
	GR_PUTSTR(5,80,"SHIMASITA",0xfff0,0x5555);
	while(1) {
	}
}



// *********************************************
// ************ Timer Interrupt ****************
// *********************************************

void __attribute__((interrupt, auto_psv)) _T1Interrupt(void) {

	// *** 荞ݏI@*********	
    IFS0bits.T1IF = 0; 		// Timer 1 Interrupt flag clear
}
